<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.3.3.2
Name: Entlassungsmanagement-Entry
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.3.3.2-2011-12-19T000000">
   <title>Entlassungsmanagement-Entry</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]
Item: (EntlassungsmanagementEntry)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']]
Item: (EntlassungsmanagementEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']]"
         id="tmp-r-c5aea682-1072-4ac5-86cd-2ddd026e822f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="string(@classCode)='ACT'">(EntlassungsmanagementEntry): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="string(@moodCode)='INT'">(EntlassungsmanagementEntry): Der Wert von @moodCode MUSS 'INT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.3.2'])&gt;=1 ">(EntlassungsmanagementEntry): Element hl7:templateId[@root='1.2.40.0.34.11.3.3.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.3.2'])&lt;=1">(EntlassungsmanagementEntry): Element hl7:templateId[@root='1.2.40.0.34.11.3.3.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2'])&gt;=1 ">(EntlassungsmanagementEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2'])&lt;=1">(EntlassungsmanagementEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(EntlassungsmanagementEntry): Element hl7:id ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:id)&lt;=1">(EntlassungsmanagementEntry): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:code[(@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28')])&gt;=1 and not(hl7:code[(@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28')]/@nullFlavor)">(EntlassungsmanagementEntry): Element hl7:code[(@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:code[(@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28')])&lt;=1">(EntlassungsmanagementEntry): Element hl7:code[(@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(EntlassungsmanagementEntry): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:text)&lt;=1">(EntlassungsmanagementEntry): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:statusCode[@code='normal'])&gt;=1 and not(hl7:statusCode[@code='normal']/@nullFlavor)">(EntlassungsmanagementEntry): Element hl7:statusCode[@code='normal'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:statusCode[@code='normal'])&lt;=1">(EntlassungsmanagementEntry): Element hl7:statusCode[@code='normal'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(EntlassungsmanagementEntry): Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(EntlassungsmanagementEntry): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']]/hl7:templateId[@root='1.2.40.0.34.11.3.3.2']
Item: (EntlassungsmanagementEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']]/hl7:templateId[@root='1.2.40.0.34.11.3.3.2']"
         id="tmp-r-966e09fc-237d-49dd-b439-d9f72a8f4047">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.3.3.2'">(EntlassungsmanagementEntry): @root MUSS den Wert '1.2.40.0.34.11.3.3.2' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']
Item: (EntlassungsmanagementEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']"
         id="tmp-r-c35672d8-fd6a-4fe8-a06b-2021890d7117">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2'">(EntlassungsmanagementEntry): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']]/hl7:id
Item: (EntlassungsmanagementEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']]/hl7:id"
         id="tmp-r-e31ae46b-5114-4a2a-ae57-0f36e22d9ae2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']]/hl7:code[(@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28')]
Item: (EntlassungsmanagementEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']]/hl7:code[(@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28')]"
         id="tmp-r-a10057db-c2bc-4c40-a36d-944cb24ef25d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="@nullFlavor or (@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28' and @displayName='Geplantes Entlassungsdatum')">(EntlassungsmanagementEntry): Der Elementinhalt MUSS sein code 'GEPLENTLDAT' codeSystem '1.2.40.0.34.5.28' displayName='Geplantes Entlassungsdatum'.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:originalText)&lt;=1">(EntlassungsmanagementEntry): Element hl7:originalText kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']]/hl7:code[(@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28')]/hl7:originalText
Item: (EntlassungsmanagementEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']]/hl7:code[(@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28')]/hl7:originalText"
         id="tmp-r-16f8cad0-d0c0-4c15-b10c-a0b4c51edd02">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']]/hl7:text
Item: (EntlassungsmanagementEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']]/hl7:text"
         id="tmp-r-b6a1fc94-496e-4d66-823d-4e11f62ce1c6">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(EntlassungsmanagementEntry): Element hl7:reference ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:reference)&lt;=1">(EntlassungsmanagementEntry): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']]/hl7:text/hl7:reference
Item: (EntlassungsmanagementEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']]/hl7:text/hl7:reference"
         id="tmp-r-c9eace35-4a6a-4154-a987-d9881e1ad3ad">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']]/hl7:statusCode[@code='normal']
Item: (EntlassungsmanagementEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']]/hl7:statusCode[@code='normal']"
         id="tmp-r-a4ba88ab-9a4e-4d16-9c5c-8248cd204593">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="@nullFlavor or (@code='normal')">(EntlassungsmanagementEntry): Der Elementinhalt MUSS sein code 'normal'.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']]/hl7:effectiveTime
Item: (EntlassungsmanagementEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']]/hl7:effectiveTime"
         id="tmp-r-46b341ab-d9ef-480b-9b7c-eb51d0fd8ddb">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(EntlassungsmanagementEntry): Element hl7:low ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:low)&lt;=1">(EntlassungsmanagementEntry): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:high)&gt;=1 ">(EntlassungsmanagementEntry): Element hl7:high ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:high)&lt;=1">(EntlassungsmanagementEntry): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']]/hl7:effectiveTime/hl7:low
Item: (EntlassungsmanagementEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']]/hl7:effectiveTime/hl7:low"
         id="tmp-r-cc2b8276-6bba-42fe-89e8-97a6ef80aeab">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']]/hl7:effectiveTime/hl7:high
Item: (EntlassungsmanagementEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']]/hl7:effectiveTime/hl7:high"
         id="tmp-r-98e63fda-9095-423a-a1b3-e8adaa3038a3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140416T114049/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="string(@nullFlavor)='NI'">(EntlassungsmanagementEntry): Der Wert von @nullFlavor MUSS 'NI' sein.</assert>
   </rule>
</pattern>
